<!DOCTYPE html>
<html>
<head>
    <title>CSS Box Model Activity</title>

    <link rel="stylesheet" href="index.css">
</head>
<body>

    <h1>CSS Box Model Activity</h1>

    <h3>1st Section: Using padding align right</h3>
    <div class="section" id="box-group-a">
        <div class="box red-box">
            <p>Red Box</p>
        </div>
    </div>
    
    <h3>2nd Section: Using padding align left</h3>
    <div class="section" id="box-group-b">
        <div class="box yellow-box">
            <p>Yellow Box</p>
        </div>
    </div>

    <h3>3rd Section: Using margin align center</h3>
    <div class="section">
        <div class="box blue-box" id="section-c-blue">
            <p>Blue Box</p>
        </div>
    </div>

    <h3>4th Section: Using display and margin align center with space in between the boxes</h3>
    <div class="section">
        <div class="d-container">
            <div class="box orange-box section-d-orange">
                <p>Orange Box</p>
            </div>
            <div class="box orange-box section-d-orange">
                <p>Orange Box</p>
            </div>
        </div>
    </div>

    <h3>5th Section: Using display and margin align center with space in between with 2 rows of boxes</h3>
    <div class="section" id="box-group-f">
        <div class="box-group-f-container">
            <div class="box red-box section-f-box">
                <p>Red Box</p>
            </div>
            <div class="box orange-box section-f-box">
                <p>Orange Box</p>
            </div>
            <div class="box yellow-box section-f-box">
                <p>Yellow Box</p>
            </div>
            <div class="box green-box section-f-box">
                <p>Green Box</p>
            </div>
        </div>
        <div class="box-group-f-container">
            <div class="box blue-box section-f-box">
                <p>Blue Box</p>
            </div>
            <div class="box indigo-box section-f-box">
                <p>Indigo Box</p>
            </div>
            <div class="box violet-box section-f-box">
                <p>Violet Box</p>
            </div>
        </div>
    </div>

</body>
</html>